org.apache.ignite.internal.processors.cache

## Class CacheObjectTransformerUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectTransformerUtils

    public class CacheObjectTransformerUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CacheObjectTransformerUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `restoreIfNecessary(byte[] bytes, CacheObjectValueContext ctx)` Restores transformed bytes if necessary.
`static byte[]` `transformIfNecessary(byte[] bytes, CacheObjectValueContext ctx)` Transforms bytes according to `CacheObjectTransformerManager` when specified.
`static byte[]` `transformIfNecessary(byte[] bytes, int offset, int length, CacheObjectValueContext ctx)` Transforms bytes according to `CacheObjectTransformerManager` when specified.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheObjectTransformerUtils

    public CacheObjectTransformerUtils()

### Method Detail

#### transformIfNecessary

    public static byte[] transformIfNecessary(byte[] bytes,
                                              CacheObjectValueContext ctx)

Transforms bytes according to `CacheObjectTransformerManager` when specified.

Parameters:
  `bytes` - Given bytes.
  `ctx` - Context.
Returns:
  Transformed bytes.

#### transformIfNecessary

    public static byte[] transformIfNecessary(byte[] bytes,
                                              int offset,
                                              int length,
                                              CacheObjectValueContext ctx)

Transforms bytes according to `CacheObjectTransformerManager` when specified.

Parameters:
  `bytes` - Given bytes.
  `ctx` - Context.
Returns:
  Transformed bytes.

#### restoreIfNecessary

    public static byte[] restoreIfNecessary(byte[] bytes,
                                            CacheObjectValueContext ctx)

Restores transformed bytes if necessary.

Parameters:
  `bytes` - Given bytes.
  `ctx` - Context.
Returns:
  Restored bytes.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023